unit Demo1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, LblWorks, RptWorks, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    ScrollBox1: TScrollBox;
    ReportWorks1: TReportWorks;
    LabelWorks1: TLabelWorks;
    BitBtn1: TBitBtn;
    Button1: TButton;
    BitBtn2: TBitBtn;
    FontDialog1: TFontDialog;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    BitBtn3: TBitBtn;
    Edit4: TEdit;
    Label1: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    procedure FormShow(Sender: TObject);
    procedure PrintLabels;
    procedure Button1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure TForm1.PrintLabels;
var x, y : integer;
begin
  Screen.Cursor := crHourGlass;
  with LabelWorks1 do
  begin
  StartLabels;
  for x := 1 to StrToInt(Edit2.Text) do
     begin
     for y := 0 to Memo1.Lines.Count - 1 do
        PrintLabelLine(Memo1.Lines[y]);
     NextLabel;
     end;
  EndLabels;
  Screen.Cursor := crDefault;
  end;
end;


procedure TForm1.FormShow(Sender: TObject);
var tmpstr:string;
begin
  FontDialog1.Font.Assign(LabelWorks1.LabelFont);
  Memo1.Font.Assign(LabelWorks1.LabelFont);
  ComboBox1.ItemIndex := 1;
  Edit2.Text := IntToStr(LabelWorks1.Rows * LabelWorks1.Columns);
  Str(LabelWorks1.TopOffset:5:3,tmpstr);
  Edit3.Text := tmpstr;
  Str(LabelWorks1.LeftOffset:5:3,tmpstr);
  Edit4.Text := tmpstr;
  PrintLabels;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  PrintLabels;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  ReportWorks1.Destination := dPrinter;
  PrintLabels;
  ReportWorks1.Destination := dPreview;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  if FontDialog1.Execute then
     begin
     LabelWorks1.LabelFont.Assign(FontDialog1.Font);
     Memo1.Font.Assign(FontDialog1.Font);
     Edit1.Text := '1';
     Edit2.Text := IntToStr(LabelWorks1.Rows * LabelWorks1.Columns);
     LabelWorks1.StartLabel := 1;
     PrintLabels;
     end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked = true then LabelWorks1.Gridlines := true
  else LabelWorks1.Gridlines := false;
  PrintLabels;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
var LType : TLabelType;
    x : integer;
begin
  LType := Avery5095;
  if ComboBox1.ItemIndex > 0 then
     begin
     for x := 1 to ComboBox1.ItemIndex do
        Inc(LType);
     end;
  LabelWorks1.LabelType := LType;
  Edit1.Text := '1';
  Edit2.Text := IntToStr(LabelWorks1.Rows * LabelWorks1.Columns);
  LabelWorks1.StartLabel := 1;
  PrintLabels;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  LabelWorks1.StartLabel := StrToInt(Edit1.Text);
end;

procedure TForm1.Edit3Change(Sender: TObject);
var v:single; code:integer;
begin
  Val(Edit3.Text,v,code);
  LabelWorks1.TopOffset := v;
end;

procedure TForm1.Edit4Change(Sender: TObject);
var v:single; code:integer;
begin
  Val(Edit4.Text,v,code);
  LabelWorks1.LeftOffset := v;
end;

end.
